package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.NewFundRank;
import com.tanpu.fund.entity.generator.NewFundRankExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface NewFundRankMapper {
    long countByExample(NewFundRankExample example);

    int deleteByExample(NewFundRankExample example);

    /**
     * delete by primary key
     *
     * @param fundId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String fundId);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(NewFundRank record);

    int insertOrUpdate(NewFundRank record);

    int insertOrUpdateSelective(NewFundRank record);

    int insertOrUpdateWithBLOBs(NewFundRank record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(NewFundRank record);

    List<NewFundRank> selectByExampleWithBLOBs(NewFundRankExample example);

    List<NewFundRank> selectByExample(NewFundRankExample example);

    /**
     * select by primary key
     *
     * @param fundId primary key
     * @return object by primary key
     */
    NewFundRank selectByPrimaryKey(String fundId);

    int updateByExampleSelective(@Param("record") NewFundRank record, @Param("example") NewFundRankExample example);

    int updateByExampleWithBLOBs(@Param("record") NewFundRank record, @Param("example") NewFundRankExample example);

    int updateByExample(@Param("record") NewFundRank record, @Param("example") NewFundRankExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(NewFundRank record);

    int updateByPrimaryKeyWithBLOBs(NewFundRank record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(NewFundRank record);

    int updateBatch(List<NewFundRank> list);

    int batchInsert(@Param("list") List<NewFundRank> list);
}